Contents
Index 🔎︎

# Environ Function

Returns the value of an environment variable as a string. Environment variables are dependent on the type of operating system that you have.

## Syntax:

    Environ (Environment As String)

## Return value:

ھەرپ-بەلگە تىزىقى

## پارامېتىر

Environment: Environment variable that you want to return the value for.

## Error codes:

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err5 not found).

## مىسال:

    Sub ExampleEnviron
    Dim sTemp As String
        sTemp=Environ ("TEMP")
        If sTemp = "" Then sTemp=Environ("TMP")
        MsgBox "'" & sTemp & "'" ,64,"Directory of temporary files:"
    End Sub